io.netty.handler.codec.xml

## Class XmlElement

- java.lang.Object
- - io.netty.handler.codec.xml.XmlElement

Direct Known Subclasses:
  XmlElementEnd, XmlElementStart

    public abstract class XmlElement
    extends Object

Generic XML element in document, `XmlElementStart` represents open element and provides access to attributes, `XmlElementEnd` represents closing element.

### Constructor Summary

Constructors
`protected` `XmlElement(String name, String namespace, String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `name()`
`String` `namespace()`
`List<XmlNamespace>` `namespaces()`
`String` `prefix()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlElement

    protected XmlElement(String name,
                         String namespace,
                         String prefix)

### Method Detail

#### name

    public String name()

#### namespace

    public String namespace()

#### prefix

    public String prefix()

#### namespaces

    public List<XmlNamespace> namespaces()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`